Bug 204538 - linux/sys.h is missing
linux/sys.h is missing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 16:06 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 20:17:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-08-29 16:06:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.6) Gecko/20060808 Fedora/1.5.0.6-2.fc5 Firefox/1.5.0.6 pango-text

Description of problem:
linux/sys.h header is missing, causing dx (a package I'm currently working on for Extras) to fail to compile. See bug #203662 for more details.
`rpm -qpl kernel-headers-2.6.17-1.2597.fc6.i386.rpm | grep sys.h' yields no results.


Version-Release number of selected component (if applicable):
kernel-headers-2.6.17-1.2597.fc6

How reproducible:
Always


Steps to Reproduce:
1. Build dx SRPM in mock with target fc6.



Actual Results:
Compilation fails with:
 gcc -DHAVE_CONFIG_H -I. -I. -I../../../include -I../../../include -Dlinux -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -D_GNU_SOURCE -c memory.c  -fPIC -DPIC -o .libs/memory.o
memory.c:69:23: error: linux/sys.h: No such file or directory
memory.c: In function 'getProcMemInfo':
memory.c:1189: warning: ignoring return value of 'fscanf', declared with attribute warn_unused_result
memory.c:1190: warning: ignoring return value of 'fscanf', declared with attribute warn_unused_result
memory.c:1198: warning: ignoring return value of 'fscanf', declared with attribute warn_unused_result
memory.c:1199: warning: ignoring return value of 'fscanf', declared with attribute warn_unused_result
memory.c: In function '_dxf_initmemory':
memory.c:1540: warning: ignoring return value of 'write', declared with attribute warn_unused_result
memory.c:1589: warning: ignoring return value of 'write', declared with attribute warn_unused_result
memory.c:1708: warning: ignoring return value of 'write', declared with attribute warn_unused_result
make[4]: *** [memory.lo] Error 1
make[4]: Leaving directory `/builddir/build/BUILD/dx-4.4.0/src/exec/libdx'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/builddir/build/BUILD/dx-4.4.0/src/exec/libdx'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/dx-4.4.0/src/exec'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/dx-4.4.0/src'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.18606 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.18606 (%build)


Expected Results:
Compilation should succeed, as it does in fc5 mock.

Additional info:
Comment 1 David Woodhouse 2006-08-29 20:17:25 EDT
Absent justification for using this kernel-private header, which is not listed
in the headers to be exported from the kernel tree.

Will fix in FC5 in the next update so it's not present there. Thanks for
bringing it to my attention.
Comment 2 Dominik 'Rathann' Mierzejewski 2006-08-30 04:32:51 EDT
*sigh* While you're at it, what about linux/kernel.h?
Comment 3 David Woodhouse 2006-08-30 10:38:45 EDT
What about it?
Comment 4 Dominik 'Rathann' Mierzejewski 2006-08-30 10:50:02 EDT
It's present, maybe it shouldn't be? Just an idea...

Note You need to log in before you can comment on or make changes to this bug.